<?php
if(!empty($_GET["page"]) && $_GET["page"] == "phpinfo_raw") {
    phpinfo();
    die();
}
?>
<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Core</title>
        <style>
            * { box-sizing: border-box; }
            html {
                font-family: 'Open Sans', Arial, sans-serif;
                min-height: 100vh;
            }
            body {
                display: grid;
                grid-template-columns: 20% 80%;
                grid-template-rows: 55px calc(100% - 55px);
                margin: 0;
                min-height: 100vh;
            }
            header {
                grid-column: 1/3;
                background-color: #224;
                padding: 10px;
                color: white;
                font-size: 24px;
                font-weight: bold;
                position: sticky;
                top: 0;
                z-index: 100;
            }
            nav {
                background-color: #446;
                color: white;
                height: 100%;
            }
            nav ul {
                padding: 0;
                list-style: none;
                margin: 0;
                position: sticky;
                top: 55px;
            }
            nav ul li a {
                padding: 15px 20px;
                display: block;
                text-decoration: none;
                color: inherit;
                font-size: 18px;
            }
            nav ul li a:hover {
                background-color: #557;
            }
            nav .brand {
                position: fixed;
                left: 5px;
                bottom: 5px;
            }
            nav .brand a {
                color: inherit;
                font-weight: bold;
            }
            main {
                padding: 10px;
                height: 100%;
            }
            h1 {
                font-weight: normal;
                margin: 10px 0;
            }
            p {
                margin: 4px 0;
            }
            
            .alert {
                padding: 10px;
                border: 1px dotted;
            }
            .alert h3 {
                font-weight: normal;
                margin: 2px 0;
            }
            .alert.alert-danger {
                background-color: #fdd;
                color: #a00;
            }
            .alert.alert-warning {
                background-color: #ffd;
                color: #aa0;
            }
            .alert.alert-info {
                background-color: #ddf;
                color: #00a;
            }
            .alert.alert-success {
                background-color: #dfd;
                color: #0a0;
            }
            button {
                background-color: #eee;
                border: 1px solid #ddd;
                border-radius: 2px;
                padding: 5px 10px;
                font: inherit;
                cursor: pointer;
                transition: all .3s ease;
            }
            button:hover {
                border-color: #ccc;
                background-color: #ddd;
            }
            button:active {
                border-color: #bbb;
                background-color: #ccc;
            }
            button.danger-btn {
                background-color: #e66;
                border: 1px solid #d55;
                color: white;
            }
            button.danger-btn:hover {
                border-color: #c44;
                background-color: #d55;
            }
            button.danger-btn:active {
                border-color: #b33;
                background-color: #c44;
            }
            
            pre {
                padding: 10px;
                background-color: #eee;
                border: 1px solid #ddd;
                font-family: Consolas, 'Courier New', Courier, monospace;
            }
            
            input:focus {
                box-shadow: 0 0 0 2.5px rgba(34, 34, 34, 0.3) !important;
                outline: 0;
            }
            label {
                cursor: pointer;
                margin-top: 10px;
                display: block;
                font-weight: bold;
            }
            input {
                font-family: monospace;
                border: 1px solid #ddd;
                padding: 6px;
                border-radius: 3px;
                box-shadow: 0 0 0 0 rgba(34, 170, 170, 0.3);
                transition: box-shadow .2s ease;
                margin: 3px;
                display: block;
                width: 100%;
            }
            table {border-collapse: collapse; border: 0; width: 100%; max-width: 900px; box-shadow: 1px 2px 3px #ccc;}
            .center {text-align: center;}
            .center table {margin: 1em auto; text-align: left;}
            .center th {text-align: center !important;}
            td, th {border: 1px solid #666; font-size: 75%; vertical-align: baseline; padding: 4px 5px;}
            h1 {font-size: 150%;}
            h2 {font-size: 125%;}
            .p {text-align: left;}
            .e {background-color: #ccf; max-width: 100%; width: 300px; font-weight: bold;}
            .h {background-color: #99c; font-weight: bold;}
            .v {background-color: #ddd; max-width: 300px; overflow-x: auto; word-wrap: break-word;}
            .v i {color: #999;}
            img {float: right; border: 0;}
            hr {width: 100%; background-color: #ccc; border: 0; height: 1px;}
            .phpinfo a:link {color: #009; text-decoration: none; background-color: #fff;}
            .phpinfo a:hover {text-decoration: underline;}
        </style>
    </head>
    <body>
        <header>CoreInfo</header>
        <nav>
            <ul>
                <li><a href="?">Startseite</a></li>
                <li><a href="?page=path">Pfad</a></li>
                <li><a href="?page=phpinfo">PHP-Info</a></li>
            </ul>
            <span class="brand">&copy; 2018 <a href="https://stroberry.de">stroberry</a></span>
        </nav>
        <main>
            <?php if(empty($_GET["page"]) || $_GET["page"] != "delete") { ?>
            <div class="alert alert-danger">
                <h3>Wichtiger Sicherheitshinweis</h3>
                <p>Vergiss bitte nicht, diese Core-Anwendung nach der Benutzung zu löschen. Ansonsten könnten Hacker  Zugriff auf dieses Dateisystem bekommen.</p>
                <a href="?page=delete"><button id="delete_btn" class="danger-btn">Löschen</button></a>
            </div>
            <?php
            }
            if(empty($_GET["page"])) {
                ?>
                <h1>CoreInfo 1.0</h1>
                <p>Willkommen bei CoreInfo 1.0 &ndash; dem PHP-Infoskript. Auf dieser Webseite kannst du dir den aktuellen Verzeichnispfad und die PHP-Konfiguration anzeigen lassen.</p>
                <p>Da diese Anwendung nicht gesichert ist, solltest du sie nach Beendigung der Aktivitäten löschen. Dazu findest du oben auf jeder Seite eine Erinnerung und einen Lösch-Knopf.</p>
                <?php
            } else if($_GET["page"] == "phpinfo") {
                ob_start();
                phpinfo();
                $x = ob_get_clean();
                $start = strpos($x, "<body>");
                $end = strpos($x, "</body>");
                $body = substr($x, $start, $end-$start);
                ?><div class="phpinfo"><?php
                echo $body;
                ?></div><?php
            } else if($_GET["page"] == "path") {
                ?>
                <h1>Pfad</h1>
                <p>Diese Datei befindet sich in diesem Verzeichnis:</p>
                <pre><?php echo __DIR__; ?></pre>
                <p>In diesem Verzeichnis befinden sich alle Webseitendateien:</p>
                <pre><?php echo $_SERVER["DOCUMENT_ROOT"]; ?></pre>
                <?php
            } else if($_GET["page"] == "delete") {
                ?>
                <h1>Seite wurde gelöscht</h1>
                <div class="alert alert-success">Diese Core-Anwendung wurde gelöscht und stellt damit keine Sicherheitslücke mehr dar. :)</div>
                <?php
                unlink(__FILE__);
            }
            ?>
        </main>
    </body>
</html>